Subject: Re: Tc bug (kernel crash) more info

From: Badalian Vyacheslav <[email-masked]>
Date: Fri, 31 Aug 2007 16:14:25 +0400

Jarek Poplawski пишет:
> On Fri, Aug 31, 2007 at 02:59:55PM +0400, Badalian Vyacheslav wrote:
>   
>> May be this bug eq "[PATCH] [NET_SCHED] sch_prio.c: remove duplicate 
>> call of tc_classify()"?
>>
>>     
>>> I get kernel panic on 2.6.23-rc4-git2
>>> This is netconsole log!
>>>       
>> ...
>>
>>     
>
> So, it looks like you have found a really new (unknown) HTB bug,
> congratulations! We've only to find where is it hidden now...
>
> I don't think tc_classify could do such a harm to HTB, and can't
> see similar double calling as in sch_prio.
>
> Jarek P.
>
>   

Great! +)
I ready for patching and testing anything patches to find and fix problem =)
Also i remember that bug up only if i delete HTB class and mashine have 
lot of traffic.
I get statistic for last panic:
Script try to delete 25278 classes, Creating 8360 classes. Adding 6732 
filters
Panic after 27 restarts of script.